Bug 110729 - scrollkeeper should BuildRequires: intltool
scrollkeeper should BuildRequires: intltool
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: scrollkeeper (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 05:34 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 14:09:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 05:34:21 EST
Description of problem:
intltool-extract (which belongs to intltool package) is needed to
build scrollkeeper, so scrollkeeper should BuildRequires: intltool >=
0.8.4 (according to configure.in from scrollkeeper package)

Version-Release number of selected component (if applicable):
scrollkeeper-0.3.12-2

How reproducible:
Always

Steps to Reproduce:
1.rpm -e intltool
2.rpmbuild --rebuild scrollkeeper-0.3.12-2.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-24 07:17:21 EST
Triage->Easyfix
Comment 2 Jef Spaleta 2004-01-31 19:59:36 EST
Just tried this with the current scrollkeeper in rawhide:
scrollkeeper-0.3.14-1.src.rpm

I dont think the rebuild errors are from intltool
dependance.  the scrollkeeper source tarball seems to generate its
own intl tools as part of its configure script.

I'm getting errors about not being able to create a log file
/var/tmp/scrollkeeper-buildroot/usr/bin/scrollkeeper-rebuilddb: line
45: /var/log/scrollkeeper.log: Permission denied

Cannot write to log file: /var/log/scrollkeeper.log : Permission
denied

Please can you try the newest scrollkeeper and make sure the errors
you are seeing happn only when intl is not installed.


Comment 3 Maxim Dziumanenko 2004-02-09 13:20:42 EST
If I uninstall intltool and try to build scrollkeeper, I got this:

Making all in templates
make[3]: Entering directory
`/usr/src/mylinux/BUILD/scrollkeeper-0.3.14/cl/templates'
LC_ALL=C ../../intltool-merge ../../po scrollkeeper_cl.xml.in
scrollkeeper_cl.xml -x -u -c ../../po/.intltool-merge-cache
You must have XML::Parser installed to run ../../intltool-merge

make[3]: *** [scrollkeeper_cl.xml] Error 2
make[3]: Leaving directory
`/usr/src/mylinux/BUILD/scrollkeeper-0.3.14/cl/templates'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/mylinux/BUILD/scrollkeeper-0.3.14/cl'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/mylinux/BUILD/scrollkeeper-0.3.14'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.53407 (%build)
Comment 4 Maxim Dziumanenko 2004-02-09 13:39:03 EST
Sorry, you are right. It is sufficient to BuildRequires: perl-XML-Parser.
Comment 5 Jef Spaleta 2004-02-09 14:06:32 EST
For now I'm going to reopen this and mark it as easyfix....
the missing buildrequires is a bug....just not the bug you original
thought it was :->

is there a bug open about that missing buildrequires?
If there is please reference that bugreport here in a new comment.
So we can mark this as a duplicate.


Comment 6 Jef Spaleta 2004-02-09 14:09:13 EST
oh crap...sorry...just checked the specfile....the buildrequire for
perl-XML-Parser is there in the latest rawhide version....closing..again




Note You need to log in before you can comment on or make changes to this bug.